<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:gx="urn:shemas-artech-com:gx"
	exclude-result-prefixes="msxml gx"
	xmlns:gxca="urn:GXControlAdap">
  <!-- In order to grant Design System Configuration works, method MUST be xml  -->
  <!-- and xml declaration MUST be ommitted.                                    -->
  <!-- If changed, run the Design System Configuration and try to change colors -->
  <xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:template match="/" >
    <xsl:apply-templates select="/GxControl"/>
  </xsl:template>
  <xsl:template match="GxControl">
    <xsl:choose>
      <xsl:when test="@type = 'K2BAccordionMenu'">
        <xsl:call-template name="RenderK2BAccordionMenu"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <!-- K2BOnUnloadAction design render -->
  <!-- ///////////////////  Implement your render here  ///////////////////-->
  <xsl:template name="RenderK2BAccordionMenu">
		<aside class="sidebar">
        <nav class="sidebar-nav">
		  <input placeholder="Search in menu" class="searchField" style="border: none; padding: 10px 15px;"/>
          <ul style="list-style-type: none; padding: 0;" class="K2BMetisMenu" >
            <li>
				<a href="" style="display:block; width:100%; white-space: nowrap;">
					<span class="sidebar-nav-item-icon fa fa-flag">&#160;</span>
					<span class="sidebar-nav-item">First menu option</span>
				</a>
			</li>
            <li class="activeelement">
				<a href="" style="display:block; width:100%; white-space: nowrap;">
					<span class="sidebar-nav-item-icon fa fa-flag">&#160;</span>
					<span class="sidebar-nav-item">Second menu option</span>
				</a>
			</li>
            <li>
				<a style="display:block; width:100%; white-space: nowrap;">
					<span class="sidebar-nav-item-icon fa fa-flag">&#160;</span>
					<span class="sidebar-nav-item">Third menu option</span>
				</a>
				<ul style="list-style-type: none;" class="mm-collapse">
					<li><a href="" style="display:block; width:100%; white-space: nowrap;padding-left:20px !important;">Third.1 menu option</a></li>
					<li><a href="" style="display:block; width:100%; white-space: nowrap;padding-left:20px !important;">Third.2 menu option</a></li>
				</ul>
            </li>
          </ul>
        </nav>
		</aside>
  </xsl:template>

  <!-- Helpers Templates -->
</xsl:stylesheet>
